StyledSegment.Type (JavaFX 27)
Description: declaration: module: jfx.incubator.richtext, package: jfx.incubator.scene.control.richtext.model, class: StyledSegment, enum: Type

# Enum Class StyledSegment.Type

java.lang.Object
java.lang.Enum<StyledSegment.Type>
jfx.incubator.scene.control.richtext.model.StyledSegment.Type

All Implemented Interfaces:
  `Serializable, Comparable<StyledSegment.Type>, Constable`

Enclosing class:
  `StyledSegment`

public static enum StyledSegment.Type extends Enum<StyledSegment.Type>
StyledSegment type

Since:
  24

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INLINE_NODE`
  Identifies a segment which contains an inline node.
  `LINE_BREAK`
  Identifies a line break segment.
  `PARAGRAPH_ATTRIBUTES`
  Identifies a segment which contains the paragraph attributes.
  `REGION`
  Identifies a segment which contains a single paragraph containing a `Region`.
  `TEXT`
  Identifies a text segment

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StyledSegment.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StyledSegment.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INLINE_NODE

    public static final StyledSegment.Type INLINE_NODE
    Identifies a segment which contains an inline node.

  - ### LINE_BREAK

    public static final StyledSegment.Type LINE_BREAK
    Identifies a line break segment.

  - ### PARAGRAPH_ATTRIBUTES

    public static final StyledSegment.Type PARAGRAPH_ATTRIBUTES
    Identifies a segment which contains the paragraph attributes.

  - ### REGION

    public static final StyledSegment.Type REGION
    Identifies a segment which contains a single paragraph containing a `Region`.

  - ### TEXT

    public static final StyledSegment.Type TEXT
    Identifies a text segment

- ## Method Details

  - ### values

    public static StyledSegment.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StyledSegment.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null